plugins {
    id("jfmod") version "1.5-SNAPSHOT"
}

loom {
    accessWidenerPath.set(file("src/client/resources/slyde.accesswidener"))
}

allprojects { group = "io.gitlab.jfronny" }
base.archivesName = "slyde"

jfMod {
    minecraftVersion = "1.20.4"
    yarn("build.1")
    loaderVersion = "0.15.0"
    libJfVersion = "3.14.1"

    modrinth {
        projectId = "slyde"
        requiredDependencies.add("libjf")
        optionalDependencies.add("modmenu")
    }
    curseforge {
        projectId = "411386"
        requiredDependencies.add("libjf")
        optionalDependencies.add("modmenu")
    }
}

repositories {
    maven("https://api.modrinth.com/maven")
}

dependencies {
    modCompileOnly("maven.modrinth:sodium:mc1.20.3-0.5.4")

    modImplementation("io.gitlab.jfronny.libjf:libjf-config-core-v2:${jfMod.libJfVersion.get()}")

    // For testing in dev environment
    modLocalRuntime("net.fabricmc.fabric-api:fabric-api:0.91.1+1.20.4")
    modLocalRuntime("io.gitlab.jfronny.libjf:libjf-devutil:${jfMod.libJfVersion.get()}")
    modLocalRuntime("io.gitlab.jfronny.libjf:libjf-config-ui-tiny:${jfMod.libJfVersion.get()}")
    modLocalRuntime("com.terraformersmc:modmenu:9.0.0-pre.1")
}
